Error After Upgrade

Get help from other users here.

Moderators: Contributor, Developer

Error After Upgrade

Postby amaisonneuve » Nov 01, 2017 11:25 pm

Hi, been a long time user, was using a 1.3 version and went in for the upgrade to the latest..

The install went smooth and the db upgrade gave no errors.

Now when i go to any page i get a 500 error.. now the php_error file is showing:

PHP Fatal error: 401 in /path/to/file/ignore_this/mantis/core/database_api.php on line 394

i did add to the config:

$g_show_detailed_errors = ON;
$g_display_errors = array(
E_ALL => 'halt'
# E_WARNING => 'halt',
# E_NOTICE => 'halt',
# E_USER_ERROR => 'halt',
# E_USER_WARNING => 'halt',
# E_USER_NOTICE => 'halt'
);

nothing more.

i did update to use mysqli..

running php 5.6 on ubuntu

thoughts?
amaisonneuve
 
Posts: 5
Joined: Nov 01, 2017 11:19 pm

Re: Error After Upgrade

Postby atrol » Nov 02, 2017 4:29 am

amaisonneuve wrote: upgrade to the latest..
Latest means 2.8.0?
Please use Search before posting and read the Manual
Use Mantis2Go to try MantisBT on Windows or to reproduce issues
atrol
Site Admin
 
Posts: 6714
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Error After Upgrade

Postby amaisonneuve » Nov 02, 2017 9:37 am

yes.
amaisonneuve
 
Posts: 5
Joined: Nov 01, 2017 11:19 pm

Re: Error After Upgrade

Postby atrol » Nov 03, 2017 1:47 am

amaisonneuve wrote:and the db upgrade gave no errors.
DB upgrade? There is no DB upgrade if you started from 1.3.

Do you get any errors or warnings when running admin/check/index.php ?
Please use Search before posting and read the Manual
Use Mantis2Go to try MantisBT on Windows or to reproduce issues
atrol
Site Admin
 
Posts: 6714
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Error After Upgrade

Postby amaisonneuve » Nov 03, 2017 8:59 am

Sorry in terms of DB upgrade I'm referring to the installation requested credentials and it went through a install/upgrade component.. that had no errors


Checking your MantisBT installation...
Verbosity: Show passed tests | Show verbose error messages
PHP
post_max_size php.ini directive is at least equal to the upload_max_size directive
The current value of the post_max_size directive is 536870912 bytes. This value needs to be at least equal to the upload_max_size directive value of 1073741824 bytes.

that is the only error..
amaisonneuve
 
Posts: 5
Joined: Nov 01, 2017 11:19 pm

Re: Error After Upgrade

Postby atrol » Nov 03, 2017 9:13 am

amaisonneuve wrote:The current value of the post_max_size directive is 536870912 bytes.
Really? This seems quite huge to me (also upload_max_size) . AFAIK older default installations typically come with just 2MB, one of my test installations with a default Ubuntu 16.04 and PHP 7.0.2 has set the option to 8MB.
Check setting post_max_size in your php.ini.
Please use Search before posting and read the Manual
Use Mantis2Go to try MantisBT on Windows or to reproduce issues
atrol
Site Admin
 
Posts: 6714
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Error After Upgrade

Postby amaisonneuve » Nov 03, 2017 9:26 am

sure i can adjust it..

but that still doesn't explain the 500 error.
amaisonneuve
 
Posts: 5
Joined: Nov 01, 2017 11:19 pm

Re: Error After Upgrade

Postby atrol » Nov 03, 2017 9:36 am

I don't expect that changing post_max_size fixes the problem, but it shows that your PHP configuration is questionable.
Maybe you could reinstall with default settings.

BTW, when visting the root of your webpage https://xxxxxsolution.com/ I get
Code: Select all
Error displaying the error page: Application Instantiation Error: Could not connect to MySQL.

No idea what you are running at this place, but maybe this is a pointer to the problem.
Please use Search before posting and read the Manual
Use Mantis2Go to try MantisBT on Windows or to reproduce issues
atrol
Site Admin
 
Posts: 6714
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Error After Upgrade

Postby amaisonneuve » Nov 03, 2017 9:43 am

Oops thanks for pointing that out..

this was a simple config issue in my joomla.

interns of the install of mantis.. that was a fresh install.. in terms of the post size i just wanted to make it large, but that should be irrellevent.

any other thoughts?
amaisonneuve
 
Posts: 5
Joined: Nov 01, 2017 11:19 pm

Re: Error After Upgrade

Postby atrol » Nov 03, 2017 4:05 pm

You should fix this (at least decrease upload_max_size if you don't want to decrease post_max_size
Code: Select all
post_max_size php.ini directive is at least equal to the upload_max_size directive
The current value of the post_max_size directive is 536870912 bytes. This value needs to be at least equal to the upload_max_size directive value of 1073741824 bytes.

After that, the admin/check/index.php will run some more tests.
At the moment it stops because of the error you get.
You should also change admin/check/index.php and remove the $g_failed_test checks
Code: Select all
if( !$g_failed_test ) {
   define( 'CHECK_DATABASE_INC_ALLOW', true );
   include( 'check_database_inc.php' );
}
Please use Search before posting and read the Manual
Use Mantis2Go to try MantisBT on Windows or to reproduce issues
atrol
Site Admin
 
Posts: 6714
Joined: Mar 26, 2008 4:37 pm
Location: Germany


Return to Help

Who is online

Users browsing this forum: Bing [Bot] and 10 guests